"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var compressor = pako;
var MemoryStorageService = (function () {
    function MemoryStorageService() {
        this.preferences = new Map();
    }
    MemoryStorageService.prototype.clear = function () {
        this.preferences.clear();
    };
    MemoryStorageService.prototype.put = function (key, value) {
        this.preferences.set(key, value);
    };
    MemoryStorageService.prototype.get = function (key) {
        return this.preferences.get(key);
    };
    MemoryStorageService.prototype.remove = function (key) {
        this.preferences.delete(key);
    };
    MemoryStorageService.prototype.removeStartsWith = function (startWith) {
        var _this = this;
        this.preferences.forEach(function (value, key) {
            if (key.startsWith(startWith)) {
                _this.remove(key);
            }
        });
    };
    MemoryStorageService.prototype.removeEndsWith = function (endsWith) {
        var _this = this;
        this.preferences.forEach(function (value, key) {
            if (key.endsWith(endsWith)) {
                _this.remove(key);
            }
        });
    };
    MemoryStorageService.prototype.getInCompressFormat = function () {
        var passToServer = {};
        this.preferences.forEach(function (value, key) {
            passToServer[key] = value;
        });
        var binaryString = compressor.deflate(JSON.stringify(passToServer), { to: 'string' });
        return btoa(binaryString);
    };
    MemoryStorageService.prototype.putFromCompressFormat = function (compressed) {
        var _this = this;
        this.clear();
        // Do your best
        try {
            var result = compressor.inflate(atob(compressed), { to: 'string' });
            var parsed = JSON.parse(result, function (k, v) {
                _this.preferences.set(k, v);
                return v;
            });
        }
        catch (ex) {
        }
    };
    return MemoryStorageService;
}());
MemoryStorageService.decorators = [
    { type: core_1.Injectable },
];
/** @nocollapse */
MemoryStorageService.ctorParameters = function () { return []; };
exports.MemoryStorageService = MemoryStorageService;
//# sourceMappingURL=memory-storage.service.js.map