import { MemoryStorageService } from './memory-storage.service';
import { SessionStorageService } from './session-storage.service';
import { LocalStorageService } from './local-storage.service';
export declare class PreferencesService {
    memoryService: MemoryStorageService;
    localService: LocalStorageService;
    sessionService: SessionStorageService;
    static IN_MEMORY_STORAGE: number;
    static LOCAL_STORAGE: number;
    static SESSION_STORAGE: number;
    private storage;
    constructor(memoryService: MemoryStorageService, localService: LocalStorageService, sessionService: SessionStorageService);
    setStorage(storage: number): void;
    getStorage(): number;
    usePrefix(prefix: string): void;
    clear(): void;
    put(key: string, value: any): void;
    get(key: string): any;
    remove(key: string): void;
    removeStartsWith(startWith: string): void;
    removeEndsWith(endsWith: string): void;
    getInCompressFormat(): any;
    putFromCompressFormat(compressed: any): void;
}
